# Uses of Enum Class
org.apache.solr.client.solrj.request.json.HeatmapFacetMap.HeatmapFormat

Packages that use HeatmapFacetMap.HeatmapFormat
Package
Description
org.apache.solr.client.solrj.request.json
Allows sending of requests using Solr's JSON query/faceting API

## Uses of HeatmapFacetMap.HeatmapFormat in org.apache.solr.client.solrj.request.json

Methods in org.apache.solr.client.solrj.request.json that return HeatmapFacetMap.HeatmapFormat
Modifier and Type
Method
Description
`static HeatmapFacetMap.HeatmapFormat`
HeatmapFacetMap.HeatmapFormat.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static HeatmapFacetMap.HeatmapFormat[]`
HeatmapFacetMap.HeatmapFormat.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.solr.client.solrj.request.json with parameters of type HeatmapFacetMap.HeatmapFormat
Modifier and Type
Method
Description
`HeatmapFacetMap`
HeatmapFacetMap.`setHeatmapFormat(HeatmapFacetMap.HeatmapFormat format)`
Sets the format that the computed heatmap should be returned in.